libwps_internal.cpp File Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
libwps_internal.cpp File Reference
`#include <stdlib.h>`
`#include <cmath>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <iomanip>`
`#include <limits>`
`#include <sstream>`
`#include <string>`
`#include <librevenge/librevenge.h>`
`#include "libwps_internal.h"`

## Namespaces
| libwps

## Functions
uint8_t | libwps::readU8 (librevenge::RVNGInputStream *input)
int8_t | libwps::read8 (librevenge::RVNGInputStream *input)
uint16_t | libwps::readU16 (librevenge::RVNGInputStream *input)
int16_t | libwps::read16 (librevenge::RVNGInputStream *input)
uint32_t | libwps::readU32 (librevenge::RVNGInputStream *input)
int32_t | libwps::read32 (librevenge::RVNGInputStream *input)
bool | libwps::readDouble4 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes More...
bool | libwps::readDouble8 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes More...
bool | libwps::readDouble10 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes More...
bool | libwps::readDouble2Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes More...
bool | libwps::readDouble4Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes More...
bool | libwps::readData (RVNGInputStreamPtr &input, unsigned long size, librevenge::RVNGBinaryData &data)
bool | libwps::readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
std::string | libwps::numberingTypeToString (NumberingType type)
std::ostream & | operator<< (std::ostream &o, WPSColor const &c)
std::ostream & | operator<< (std::ostream &o, WPSBorder::Style const &style)
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSColor const & | c
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder::Style const & | style
| ) |  |

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border
| ) |  |